Create an SMS activity
status must be one of the following:
inboxto log an already received SMS.draftto create a draft SMS.scheduledto send an SMS at a scheduled date and time, which must be specified in thedate_scheduledfield.outboxto actually send an SMS. To delay SMS sending by a few seconds (to allow undo), specifysend_inin seconds (must be less than 60).sentto log an already sent SMS.
Only drafts can be modified, and their status can be changed to scheduled (to send later) or outbox (to send immediately). Scheduled SMS, or SMS in outbox that weren’t sent yet can be canceled by setting the status back to draft.
You have to provide a local_phone that will be used to send the SMS. The number you choose has to be associated with a Phone Number of type internal. See the Phone Numbers paragraph for more details.
A template_id referencing an SMS Template may be provided instead of text to automatically render that template and use the content as text.
When direction is not provided, but status="inbox", direction will default to “inbound”. Otherwise, direction defaults to “outbound”.
When creating a new SMS with the status set to inbox, you can pass the query parameter send_to_inbox with the value of true to create a corresponding Inbox Notification for the SMS.
Authentication
Bearer authentication of the form Bearer <token>, where token is your auth token.
Query parameters
Request
Response
How a caller’s outbound number is chosen. Fixed uses a single configured number; Auto lets Close select the best number per call/SMS (Managed by Close Caller ID).
Why a number was chosen in Auto mode: reused from a prior communication (context), picked for geographic proximity (local_presence), or the default/oldest fallback.
Source of a phone activity. Describes whether the phone activity (such as a call or an SMS) was handled by Close’s telephony provider or handled externally by a 3rd party and is merely logged in Close.